Packages

Update a skill

Update a skill in the organization packages. Built-in skills cannot be modified.

PUT/api/packages/skills/{scope}/{name}

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Path Parameters

scope*string

Package scope (e.g. @my-org)

Match^@[a-z0-9][a-z0-9-]*$
name*string

Package name

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid

Request Body

application/json

curl -X PUT "https://loading/api/packages/skills/string/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "packageId": "string",
  "lockVersion": 0
}
{
  "type": "https://docs.appstrate.dev/errors/invalid-request",
  "title": "Invalid Request",
  "status": 400,
  "detail": "Field is required",
  "code": "invalid_request",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/forbidden",
  "title": "Forbidden",
  "status": 403,
  "detail": "Insufficient permissions",
  "code": "forbidden",
  "requestId": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Resource not found",
  "code": "not_found",
  "requestId": "req_abc123"
}